#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <inttypes.h>

enum {
    BINDING_SW = 0,
    BINDING_HW = 1
};

typedef struct {
    uint32_t sink;
    uint32_t source;
} DataChannelBinding;

void binding_from_value( uint32_t value, uint32_t * config );

int binding_get_channel_binding( const uint32_t * connections,
    const uint32_t * binding,
    uint32_t n,
    DataChannelBinding * channel_binding );

const char * binding_to_string( uint32_t binding );


#ifdef __cplusplus
}
#endif

